#!/bin/sh

set --
if [ -e /var/log/messages.0 ]; then
	set -- /var/log/messages.0
fi
set -- "$@" /var/log/messages

awk '	$6 == "swupdate:" {
		buf = buf "\n" $0
	}
	$6 == "swupdate:" && $7 == "START" {
		buf=$0
	}
	END {
		if (!buf) { exit(1); }
		print buf
	}' "$@"
