function showLoader() {
    document.getElementById("loading").style.visibility = "visible";
}

function hideLoader() {
    document.getElementById("loading").style.visibility = "hidden";
}

deleteFlag = false;
function deleteHandler() {
    deleteFlag = true;
}

function onsubmitHandler() {
    if (deleteFlag) {
        deleteFlag = false;
        if (window.confirm('本当に削除しますか？')) {
            showLoader();
            return true;
        } else {
            return false;
        }
    }
    showLoader();
    return true;
}


// When returning to the browser back, hide loader.
window.addEventListener('pageshow', function (event) {
    if (event.persisted) {
        window.location.reload();
    }
});

function fillNWStatBar(placeHolder, data) {
    if (data.startsWith("<!DOCTYPE html>")) {
        document.open();
        document.write(data);
        document.close();
        return;
    }
    placeHolder.innerHTML = data;
}

const pollNetworkStat = async () => {
    nwstats = document.querySelector("div[name='nwstats']")
    if (nwstats) {
        promise = await fetch('/nwstatbar')
            .then((response) => response.text())
            .then((data) => fillNWStatBar(nwstats, data));
        Promise.resolve(promise);
        setTimeout(pollNetworkStat, 2000);
    }
}

window.addEventListener('load', (event) => {
    if (document.querySelector("div[name='nwstats']")) {
        setTimeout(pollNetworkStat, 100);
    }
});
